Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615509 - cluster.rng does not validate the cman_label attribute
cluster.rng does not validate the cman_label attribute
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On: 614356
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 17:17 EDT by Lon Hohberger
Modified: 2010-11-10 14:59 EST (History)
14 users (show)

See Also:
Fixed In Version: cluster-3.0.12-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 614356
Environment:
Last Closed: 2010-11-10 14:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case. (1.01 KB, text/plain)
2010-07-16 17:26 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Lon Hohberger 2010-07-16 17:17:39 EDT
+++ This bug was initially created as a clone of Bug #614356 +++

Description of problem:
According to qdisk manual (and qdiskd source code) it is possible to configure the cman_label attribute for the quorumd element:

cman_label="mylabel"
  This overrides the label advertised to CMAN if present.

Although it can not be validated against cluster.rng:

# grep quorumd cluster.conf
<quorumd cman_label="mylabel" interval="1" label="mylabel" tko="4" votes="1"/>

# xmllint -relaxng /usr/share/cluster/cluster.rng cluster.conf > /dev/null 
Relax-NG validity error : Extra element quorumd in interleave
/etc/cluster/cluster.conf:5: element quorumd: Relax-NG validity error : Element cluster failed to validate content
/etc/cluster/cluster.conf fails to validate

Version-Release number of selected component (if applicable):
# rpm -qf /usr/share/cluster/cluster.rng
cman-3.0.12-2.fc13.x86_64

Steps to Reproduce:
1. configure cluster.conf with quorum device and the cman_label attribute
2. update the cluster configuration
  
Actual results:
cluster.conf validation fails

Expected results:
cluster.conf validation should succeed and be updated

Additional info:
This patch should fix the issue:

--- /usr/share/cluster/cluster.rng.orig	2010-05-26 06:51:44.000000000 +0200
+++ /usr/share/cluster/cluster.rng	2010-07-14 10:15:07.000000000 +0200
@@ -280,6 +280,9 @@
         where the quorum device name differs among nodes." rha:sample=""/>
    </optional>
    <optional>
+    <attribute name="cman_label" rha:description="" rha:sample=""/>
+   </optional>
+   <optional>
     <attribute name="status_file" rha:description="" rha:sample=""/>
    </optional>
    <optional>
Comment 1 Lon Hohberger 2010-07-16 17:26:32 EDT
Created attachment 432507 [details]
Test case.
Comment 2 Lon Hohberger 2010-07-16 17:27:53 EDT
[lhh@localhost xml]$ ~/cman_label_test.sh ./cluster.rng.in 
testing against ./cluster.rng.in
testing no quorumd...SUCCESS
testing w/ quorumd...SUCCESS
testing w/ cman_label...SUCCESS
Comment 7 Dean Jansa 2010-08-24 10:58:27 EDT
[root@marathon-01 ~]# /tmp/432507
testing against /usr/share/cluster/cluster.rng
testing no quorumd...SUCCESS
testing w/ quorumd...SUCCESS
testing w/ cman_label...SUCCESS


Verified using supplied test, thanks Lon!
Comment 8 releng-rhel@redhat.com 2010-11-10 14:59:57 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.